
Pod::HooksManager.register('cocoapods-fix-module', :pre_install) do |installer_context|
    if Pod::VERSION.start_with? "1.6."
        require 'cocoapods-fix-module/patch1.6'
    elsif Pod::VERSION.start_with? "1.7."
        require 'cocoapods-fix-module/patch1.7'
    elsif Pod::VERSION.start_with? "1.8."
        require 'cocoapods-fix-module/patch1.8'
    else
        Pod::UI.warn "cocoapods-fix-module have not been tested for Cocoapods #{Pod::VERSION}, use at your own risk"
        require 'cocoapods-fix-module/patch1.8'
    end
end

