

# 目前的改法对于 1.7 / 1.8，是没有考虑 app spec 的东西的，所以显示不支持
Pod::HooksManager.register('cocoapods-fix-module', :post_install) do |installer_context|
    pod_name = nil
    has_app_spec = installer_context.umbrella_targets.any? do |umbrella_target|
        umbrella_target.specs.any? do |spec|
            if spec.app_specs.length > 0
                pod_name = spec.name
                next true
            end
        end
    end
    if has_app_spec
        puts "[!] ERROR: Plugin cocoapods-fix-module, doesn't supports pods whose spec contain app_spec. Invalid pods: #{pod_name}".red
        puts "Reference: https://guides.cocoapods.org/syntax/podspec.html#app_spec".red
        puts "Install failed !!".red
        exit 1
    end
end
